#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './kturingui.ui'
**
** Created: 2012-05-29T09:41:17
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kturingui.h"

#include <qvariant.h>
#include <qcanvas.h>
#include <qpushbutton.h>
#include <qtable.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qlcdnumber.h>
#include <kled.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include <qimage.h>
#include <qpixmap.h>

static const char* const img0_kturingui[] = { 
"16 16 2 1",
". c None",
"# c #000000",
"................",
"................",
"..........#.....",
".........##.....",
"........###.....",
".......####.....",
"......#####.....",
".....######.....",
".....######.....",
"......#####.....",
".......####.....",
"........###.....",
".........##.....",
"..........#.....",
"................",
"................"};

static const char* const img1_kturingui[] = { 
"16 16 2 1",
". c None",
"# c #000000",
"................",
"................",
".....#..........",
".....##.........",
".....###........",
".....####.......",
".....#####......",
".....######.....",
".....######.....",
".....#####......",
".....####.......",
".....###........",
".....##.........",
".....#..........",
"................",
"................"};


/*
 *  Constructs a KTuringUi as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KTuringUi::KTuringUi( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl ),
      image0( (const char **) img0_kturingui ),
      image1( (const char **) img1_kturingui )
{
    if ( !name )
	setName( "KTuringUi" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)5, 0, 0, sizePolicy().hasHeightForWidth() ) );
    setMinimumSize( QSize( 500, 0 ) );
    KTuringUiLayout = new QVBoxLayout( this, 11, 6, "KTuringUiLayout"); 

    Layout8 = new QHBoxLayout( 0, 0, 6, "Layout8"); 

    Layout7 = new QVBoxLayout( 0, 0, 6, "Layout7"); 
    Spacer6 = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    Layout7->addItem( Spacer6 );

    stateTable = new QTable( this, "stateTable" );
    stateTable->setNumCols( stateTable->numCols() + 1 );
    stateTable->horizontalHeader()->setLabel( stateTable->numCols() - 1, tr2i18n( "State" ) );
    stateTable->setNumCols( stateTable->numCols() + 1 );
    stateTable->horizontalHeader()->setLabel( stateTable->numCols() - 1, tr2i18n( "Char" ) );
    stateTable->setNumCols( stateTable->numCols() + 1 );
    stateTable->horizontalHeader()->setLabel( stateTable->numCols() - 1, tr2i18n( "New Char" ) );
    stateTable->setNumCols( stateTable->numCols() + 1 );
    stateTable->horizontalHeader()->setLabel( stateTable->numCols() - 1, tr2i18n( "Move" ) );
    stateTable->setNumCols( stateTable->numCols() + 1 );
    stateTable->horizontalHeader()->setLabel( stateTable->numCols() - 1, tr2i18n( "New State" ) );
    stateTable->setNumRows( 70 );
    stateTable->setNumCols( 5 );
    Layout7->addWidget( stateTable );
    Spacer7 = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    Layout7->addItem( Spacer7 );
    Layout8->addLayout( Layout7 );

    Layout10 = new QVBoxLayout( 0, 0, 6, "Layout10"); 
    Spacer2 = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    Layout10->addItem( Spacer2 );

    tapeLabel = new QLabel( this, "tapeLabel" );
    tapeLabel->setAlignment( int( QLabel::AlignCenter ) );
    Layout10->addWidget( tapeLabel );

    tapeEdit = new QLineEdit( this, "tapeEdit" );
    tapeEdit->setMinimumSize( QSize( 180, 0 ) );
    Layout10->addWidget( tapeEdit );
    Spacer1 = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    Layout10->addItem( Spacer1 );

    Layout9 = new QHBoxLayout( 0, 0, 6, "Layout9"); 
    Spacer13_2 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout9->addItem( Spacer13_2 );

    loadButton = new QPushButton( this, "loadButton" );
    Layout9->addWidget( loadButton );
    Spacer12 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout9->addItem( Spacer12 );
    Layout10->addLayout( Layout9 );
    Spacer3 = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    Layout10->addItem( Spacer3 );
    Layout8->addLayout( Layout10 );
    KTuringUiLayout->addLayout( Layout8 );
    Spacer11 = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    KTuringUiLayout->addItem( Spacer11 );

    tapeViewLabel = new QLabel( this, "tapeViewLabel" );
    tapeViewLabel->setAlignment( int( QLabel::AlignCenter ) );
    KTuringUiLayout->addWidget( tapeViewLabel );

    Layout13 = new QHBoxLayout( 0, 0, 6, "Layout13"); 
    Spacer12_3 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout13->addItem( Spacer12_3 );

    TextLabel2 = new QLabel( this, "TextLabel2" );
    Layout13->addWidget( TextLabel2 );

    Layout12 = new QHBoxLayout( 0, 0, 2, "Layout12"); 

    leftButton = new QPushButton( this, "leftButton" );
    leftButton->setMinimumSize( QSize( 20, 50 ) );
    leftButton->setMaximumSize( QSize( 20, 50 ) );
    leftButton->setPixmap( image0 );
    leftButton->setAutoRepeat( TRUE );
    Layout12->addWidget( leftButton );

    tapeCanvasView = new QCanvasView( this, "tapeCanvasView" );
    tapeCanvasView->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)0, 0, 0, tapeCanvasView->sizePolicy().hasHeightForWidth() ) );
    tapeCanvasView->setMinimumSize( QSize( 300, 50 ) );
    tapeCanvasView->setMaximumSize( QSize( 32767, 50 ) );
    Layout12->addWidget( tapeCanvasView );

    rightButton = new QPushButton( this, "rightButton" );
    rightButton->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, rightButton->sizePolicy().hasHeightForWidth() ) );
    rightButton->setMinimumSize( QSize( 20, 50 ) );
    rightButton->setMaximumSize( QSize( 20, 50 ) );
    rightButton->setPixmap( image1 );
    rightButton->setAutoRepeat( TRUE );
    Layout12->addWidget( rightButton );
    Layout13->addLayout( Layout12 );
    Spacer13_3 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout13->addItem( Spacer13_3 );

    TextLabel1 = new QLabel( this, "TextLabel1" );
    Layout13->addWidget( TextLabel1 );

    stateLcd = new QLCDNumber( this, "stateLcd" );
    Layout13->addWidget( stateLcd );

    Layout13_2 = new QVBoxLayout( 0, 0, 6, "Layout13_2"); 
    Spacer14 = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    Layout13_2->addItem( Spacer14 );

    led = new KLed( this, "led" );
    Layout13_2->addWidget( led );
    Spacer15 = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    Layout13_2->addItem( Spacer15 );
    Layout13->addLayout( Layout13_2 );
    Spacer11_2 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout13->addItem( Spacer11_2 );
    KTuringUiLayout->addLayout( Layout13 );

    Layout10_2 = new QHBoxLayout( 0, 0, 6, "Layout10_2"); 
    Spacer13 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout10_2->addItem( Spacer13 );

    stepButton = new QPushButton( this, "stepButton" );
    Layout10_2->addWidget( stepButton );
    Spacer16 = new QSpacerItem( 40, 20, QSizePolicy::Fixed, QSizePolicy::Minimum );
    Layout10_2->addItem( Spacer16 );

    stopButton = new QPushButton( this, "stopButton" );
    Layout10_2->addWidget( stopButton );

    goButton = new QPushButton( this, "goButton" );
    Layout10_2->addWidget( goButton );
    Spacer12_2 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout10_2->addItem( Spacer12_2 );
    KTuringUiLayout->addLayout( Layout10_2 );
    languageChange();
    resize( QSize(735, 458).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KTuringUi::~KTuringUi()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KTuringUi::languageChange()
{
    setCaption( tr2i18n( "Form1" ) );
    stateTable->horizontalHeader()->setLabel( 0, tr2i18n( "State" ) );
    stateTable->horizontalHeader()->setLabel( 1, tr2i18n( "Char" ) );
    stateTable->horizontalHeader()->setLabel( 2, tr2i18n( "New Char" ) );
    stateTable->horizontalHeader()->setLabel( 3, tr2i18n( "Move" ) );
    stateTable->horizontalHeader()->setLabel( 4, tr2i18n( "New State" ) );
    tapeLabel->setText( tr2i18n( "Initial Tape" ) );
    loadButton->setText( tr2i18n( "Load Program" ) );
    tapeViewLabel->setText( tr2i18n( "Machine" ) );
    TextLabel2->setText( tr2i18n( "Tape" ) );
    leftButton->setText( QString::null );
    rightButton->setText( QString::null );
    TextLabel1->setText( tr2i18n( "State" ) );
    stepButton->setText( tr2i18n( "Step" ) );
    stopButton->setText( tr2i18n( "Stop" ) );
    goButton->setText( tr2i18n( "Go !" ) );
}

#include "kturingui.moc"
