/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : lun dic  2 21:57:56 CET 2002
    copyright            : (C) 2002 by Beniamino Galvani
    email                : ben_gal@libero.it
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>

#include "kturing.h"

static const char *description =
	I18N_NOOP("KTuring\n\nA Turing machine for KDE");
// INSERT A DESCRIPTION FOR YOUR APPLICATION HERE
	
	
static KCmdLineOptions options[] =
{
  { 0, 0, 0 }
  // INSERT YOUR COMMANDLINE OPTIONS HERE
};

int main(int argc, char *argv[])
{

  KAboutData aboutData( "kturing", I18N_NOOP("KTuring"),
    VERSION, description, KAboutData::License_GPL,
    "(c) 2002, Beniamino Galvani", 0, 0, "ben_gal@libero.it");
  aboutData.addAuthor("Beniamino Galvani",0, "ben_gal@libero.it");
  KCmdLineArgs::init( argc, argv, &aboutData );
  KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.

  KApplication a;
  KTuring *kturing = new KTuring();
  a.setMainWidget(kturing);
  kturing->show();

  return a.exec();
}
